geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: Upgrading to Dojo 1.1.1
Date Fri, 06 Jun 2008 16:19:03 GMT
+1 for trunk.
Can you also move the older versions out of trunk and into the 
geronimo/plugins branch, so people can optionally install them if their 
app still needs them?

If you're wanting to also do this in branches/2.1, then we need to keep 
the older version in the server images, so we don't break existing apps 
that may need them and so we can warn users that we will be removing 
them in the next release (2.2.)


-Donald


Joseph Leong wrote:
> Hi everyone,
> 
> I've been tossing the idea around in my head of taking the initiative to 
> upgrade the current items written in Dojo to 1.1.1, I know we still have 
> some Dojo 0.4.3, which isn't supported anymore, in use and there has 
> been vast improvements with their new Dijit package for widgets among 
> many other items.  Also, with some recently reported JIRAs about 
> accessibility compatibility being an issue in these Dojo components we 
> can make use of the a11y available in it.  Overall, i also think we 
> might also benefit a cleaner setup from streamlining our versions  in 
> terms of future development and maintenance as well.
> 
> Although I haven't looked in complete detail in each of the AG Dojo 
> pieces, i know that the 0.4.3 transition to 1.1.1 will take some work 
> because the widget system has been separated out to it's own pieces 
> (diji) and so simple work arounds will not do.  That is, this will be a 
> big block change rather than an incremental one.
> 
> Does anyone have any thoughts - one way or the other on this undertaking?
> 
> 
> Thanks!
> Joseph Leong

Mime
View raw message